Bug 1598024 (CVE-2018-10888) - CVE-2018-10888 libgit2: an improper input validation leads to an out-of-bound read in git_delta_apply, allowing to read beyond delta limits
Summary: CVE-2018-10888 libgit2: an improper input validation leads to an out-of-bound...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-10888
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180709,reported=2...
Depends On: 1599320
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-04 07:43 UTC by Riccardo Schirone
Modified: 2019-06-08 23:00 UTC (History)
6 users (show)

Fixed In Version: libgit2 0.27.3, libgit2 0.26.5
Doc Type: ---
Doc Text:
A missing check in git_delta_apply function in delta.c file may lead to an out-of-bound read while reading a binary delta file. An attacker may use this flaw to cause a Denial of Service.
Clone Of:
Environment:
Last Closed: 2018-07-11 12:44:52 UTC


Attachments (Terms of Use)

Description Riccardo Schirone 2018-07-04 07:43:06 UTC
A missing check in git_delta_apply function in delta.c file, may lead to an out-of-bound read while reading a binary delta file. An attacker may use this flaw to cause a Denial of Service.

Comment 1 Riccardo Schirone 2018-07-04 07:43:09 UTC
Acknowledgments:

Name: Riccardo Schirone (Product Security Red Hat)

Comment 4 Riccardo Schirone 2018-07-09 13:35:41 UTC
External References:

https://github.com/libgit2/libgit2/releases/tag/v0.27.3

Comment 5 Riccardo Schirone 2018-07-09 13:36:46 UTC
Created libgit2 tracking bugs for this issue:

Affects: fedora-all [bug 1599320]


Note You need to log in before you can comment on or make changes to this bug.